
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Feature #81

Add support for ftp:// URIs

March 19, 2012 15:58 - Kim Carlsen

Status: Closed Start date: March 19, 2012

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 3.3   

Affects version:    

Description

If you have mounted remote shares in nautilus (gnome) and try to drag and drop files to audacious playlist, then the file gets added

as "sftp://<user>@<host>/<dir>/<dir>/<musicfile>.mp3" and audacious wont play them.

if the file is double clicked, then it is added as "/home/<user>/.gvfs/SFTP for <user> on <host>/<dir>/<dir>/<musicfile>.mp3" and

audacious will play them.

History

#1 - March 19, 2012 19:39 - John Lindgren

- Tracker changed from Bug to Feature

- Subject changed from Drag and drop from gnome gvfs to Add support for ftp:// URIs

3.3 will probably support ftp:// URIs via the GIO transport plugin.

#2 - March 19, 2012 20:54 - Kim Carlsen

I think its possible to tell gnome what kind of location you want dropped on audacious, so it should be possible to request the normal uri. If this could

be implemented as a bug fix, and let gio be a feature request.

#3 - March 20, 2012 13:29 - John Lindgren

Kim Carlsen wrote:

I think its possible to tell gnome what kind of location you want dropped on audacious, so it should be possible to request the normal uri.

 

I've never heard of such a thing; please explain.

#4 - March 21, 2012 13:50 - Kim Carlsen

From this unrelated post

https://lists.ubuntu.com/archives/ubuntu-devel-discuss/2010-June/011573.html

Aurélien Naldi writes that gnome will either use local path or GIO/GVFS uri depending on drop target. So my thought

is that it should be possible for audacious to request the local path from drag and drop data.
#5 - March 22, 2012 14:41 - John Lindgren

Aurélien Naldi writes that gnome will either use local path or GIO/GVFS uri depending on drop target. So my thought

is that it should be possible for audacious to request the local path from drag and drop data.

 

It's a nice thought, but not very helpful if you can't provide any details on how that would be done.  :p

#6 - April 22, 2012 15:24 - John Lindgren

- Status changed from New to Closed

- Target version set to 3.3

- % Done changed from 0 to 100

ftp:// and sftp:// URIs will be supported via GIO in 3.3:

https://github.com/audacious-media-player/audacious-plugins/commit/7fa6dc9f23004faa9d2fad5c5a8ae427caa7d5c6
